Vendor		: Perforce Software
Name		: perforce
Release		: 2rh6
Copyright	: Perforce Software
Group		: unsorted

BuildRoot	: /tmp/%{Name}-%{Version}

Autoreqprov	: on
Packager	: support@starnix.com

Version		: 2001.1
Summary		: Fast Software Configuration Management (SCM) System
URL		: http://www.perforce.com/
Source0		: p4web.%{Version}
Source1		: p4.%{Version}
Source2		: p4d.%{Version}
Source3		: p4d.init
Source4		: p4d.logrotate
Source5		: p4d.sh
Source6		: p4d.sysconfig
Source7		: p4d.crondaily

%define p4root		/home/perforce
%define p4journaldir	/var/perforce

%description
Perforce is the Fast Software Configuration Management (SCM) System,
providing all the features of leading-edge SCM, geared for high
performance.


%package client
Summary		: Perforce client
Group		: unsorted

%description client
Perforce is the Fast Software Configuration Management (SCM) System,
providing all the features of leading-edge SCM, geared for high
performance.  This package contains the client.


%package web
Summary		: Perforce web client
Group		: unsorted

%description web
Perforce is the Fast Software Configuration Management (SCM) System,
providing all the features of leading-edge SCM, geared for high
performance.  This package contains the p4web client.


%package server
Summary		: Perforce server
Group		: unsorted
Requires        : %{Name}-client

%description server
Perforce is the Fast Software Configuration Management (SCM) System,
providing all the features of leading-edge SCM, geared for high
performance.  This package contains the server.


%prep
# empty

%build
# empty

%install
%{mkDESTDIR}
install -d $DESTDIR/etc/cron.daily
install -d $DESTDIR/etc/logrotate.d
install -d $DESTDIR/etc/rc.d/init.d
install -d $DESTDIR/etc/sysconfig
install -d $DESTDIR/usr/bin
install -d $DESTDIR/usr/lib
install -d $DESTDIR/usr/sbin
install -d $DESTDIR%{p4journaldir}
install -d $DESTDIR%{p4root}
install -m 755 $RPM_SOURCE_DIR/p4d.crondaily $DESTDIR/etc/cron.daily/p4checkpoint
install -m 755 $RPM_SOURCE_DIR/p4d.init $DESTDIR/etc/rc.d/init.d/p4d
install -m 644 $RPM_SOURCE_DIR/p4d.logrotate $DESTDIR/etc/logrotate.d/p4d
install -m 644 $RPM_SOURCE_DIR/p4d.sysconfig $DESTDIR/etc/sysconfig/p4d
install -m 755 $RPM_SOURCE_DIR/p4.%{Version} $DESTDIR/usr/bin/p4
install -m 755 $RPM_SOURCE_DIR/p4web.%{Version} $DESTDIR/usr/bin/p4web
install -m 755 $RPM_SOURCE_DIR/p4d.%{Version} $DESTDIR/usr/lib/p4d
install -m 755 $RPM_SOURCE_DIR/p4d.sh $DESTDIR/usr/sbin/p4d


%pre server
id perforce >/dev/null 2>&1 || \
  useradd -c 'Perforce Administrator' -m -r perforce

%post server
if [ "$1" = 1 ]
then
  chkconfig p4d reset
fi
grep P4BACKUP_EXPIRE /etc/sysconfig/p4d >/dev/null ||
        echo "P4BACKUP_EXPIRE=14" >>/etc/sysconfig/p4d


%preun server
if [ "$1" = 0 ]
then
  /etc/rc.d/init.d/p4d stop
  chkconfig --del p4d
fi


%clean
%{rmDESTDIR}

%files client
%defattr(-,root,root)
/usr/bin/p4

%files web
%defattr(-,root,root)
/usr/bin/p4web

%files server
%defattr(-,root,root)
%config /etc/logrotate.d/p4d
%attr(600,root,root) %config(noreplace) /etc/sysconfig/p4d
/etc/cron.daily/p4checkpoint
/etc/rc.d/init.d/p4d
/usr/lib/p4d
/usr/sbin/p4d
%attr(700,perforce,perforce) %{p4root}
%attr(700,perforce,perforce) %dir %{p4journaldir}

